<?php

/**
**
**@hook on activation
**
**/
function ocart_skrill_install() {

	/**
	@ hook into active payment gateways
	@ add this gateway to the list
	@ provide options, settings
	@ this should be provided upon activation only
	**/
	$installed = get_option('occommerce_OC_gateways');
	$installed['skrill'] = array ( 	'name' => __('Skrill','ocart'), 
									'paymentname' => __('Skrill (Moneybookers)','ocart'), 
									'options' => array( 'enabled', 'email', 'secret_word', 'charge' ), 
									'checkout' => array('title' => __('Payment','ocart'), 'redirect_form' => 1 ) );
		update_option('occommerce_OC_gateways', $installed);

}

/**
**
**@hook on deactivation
**
**/
function ocart_skrill_deactivate() {

	/**
	@should delete it from settings/fields
	**/
	$installed = get_option('occommerce_OC_gateways');
	if (isset($installed['skrill'])) {
		unset($installed['skrill']);
	}
	update_option('occommerce_OC_gateways', $installed);

}

/**
**
**@hook on uninstall
**
**/
function ocart_skrill_uninstall() {

	/**
	@should delete it from settings/fields
	**/
	$installed = get_option('occommerce_OC_gateways');
	if (isset($installed['skrill'])) {
		unset($installed['skrill']);
	}
	update_option('occommerce_OC_gateways', $installed);

}